# NBTData

class NBTData
Content copied to clipboard

## Constructors

NBTData
Link copied to clipboard
fun NBTData(nbtTagCompound: NBTTagCompound?)
Content copied to clipboard
NBTData
Link copied to clipboard
fun NBTData()
Content copied to clipboard
NBTData
Link copied to clipboard
fun NBTData(nbtString: String)
Content copied to clipboard

## Types

Companion
Link copied to clipboard
object Companion
Content copied to clipboard

## Functions

get
Link copied to clipboard
operator fun <T> get(key: String, dataType: NBTDataType<T>): T?
Content copied to clipboard
This method gets the value at the given key.
minusAssign
Link copied to clipboard
operator fun minusAssign(key: String)
Content copied to clipboard
remove
Link copied to clipboard
fun remove(key: String)
Content copied to clipboard
This method removes the given key from the NBTTagCompound.
serialize
Link copied to clipboard
fun serialize(): String
Content copied to clipboard
set
Link copied to clipboard
operator fun <T> set(key: String, dataType: NBTDataType<T>, value: T)
Content copied to clipboard
This method sets some value at the position of the given key.

## Properties

nbtTagCompound
Link copied to clipboard
val nbtTagCompound: NBTTagCompound
Content copied to clipboard